# Stable Kernel Patches Review Status
Please list your name and review result below the patch item

  * UR:  Under Review
  * ACK: Acknowledge (if the patch is accepted)
  * TBB: To be backported (if other patches should be also backported)
  * NAK: Negative acknowledge (if the patch is rejected, please list the reason)
  * IGN: Patch was not reviewed as it is out of scope for CIP project


## v4.19.159
  - 76bda503e640 Linux 4.19.159
  - 7a74bd35c932 ACPI: GED: fix -Wformat
  ACK: pavel
  - 509b5cf71edf KVM: x86: clflushopt should be treated as a no-op by emulation
  ACK: pavel
  - 567401f58e5e can: proc: can_remove_proc(): silence remove_proc_entry warning
  ACK: pavel
  - 3661391c463e mac80211: always wind down STA state
  ACK: pavel
  - 8bf2e8fe8a8e Input: sunkbd - avoid use-after-free in teardown paths
  ACK: pavel
  - f1b0b8c2b7e7 powerpc/8xx: Always fault when _PAGE_ACCESSED is not set
  ACK: pavel
  - 5e7ceb3ace37 Revert "perf cs-etm: Move definition of 'traceid_list' global variable from header file"
  ACK: pavel
  - 31ebc2fe02df powerpc/64s: flush L1D after user accesses
  ACK: pavel -- cmdline parameters docs can be improved; does it depend on firmware settings somehow? Adds workaround control to debugfs
  - 6b36099dc923 powerpc/uaccess: Evaluate macro arguments once, before user access is allowed
  ACK: pavel
  - 92e7ec289b95 powerpc: Fix __clear_user() with KUAP enabled
  ACK: pavel
  - 8145b3a014e8 powerpc: Implement user_access_begin and friends
  ACK: pavel -- performance optimalization and preparation for next patches, not a bugfix; buggy, fixed by "Evaluate macro arguments once" below
  - 357a5e6febe8 powerpc: Add a framework for user access tracking
  ACK: pavel -- buggy, fixed by "Fix __clear_user" below.
  - f69bb4e51f41 powerpc/64s: flush L1D on kernel entry
  ACK: pavel -- cmdline parameter docs can be improved
  - b4e80478115b powerpc/64s: move some exception handlers out of line
  ACK: pavel
